Bug 619642 - SELinux is preventing /bin/bash "sys_tty_config" access .
SELinux is preventing /bin/bash "sys_tty_config" access .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:9e95330cd59...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 22:27 EDT by Martinez Braye
Modified: 2010-08-19 21:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.6.32-120.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 21:44:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martinez Braye 2010-07-29 22:27:50 EDT
Summary:

SELinux is preventing /bin/bash "sys_tty_config" access .

Detailed Description:

[sh has a permissive type (varnishd_t). This access was not denied.]

SELinux denied access requested by sh. It is not expected that this access is
required by sh and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:varnishd_t:s0
Target Context                system_u:system_r:varnishd_t:s0
Target Objects                None [ capability ]
Source                        sh
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.0.38-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-118.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.16-141.fc12.i686.PAE
                              #1 SMP Wed Jul 7 04:41:17 UTC 2010 i686 i686
Alert Count                   13
First Seen                    Mon 20 Jun 2005 08:00:42 PM EDT
Last Seen                     Thu 29 Jul 2010 06:10:37 PM EDT
Local ID                      5e01d77d-04b6-4d44-92f1-7d4ff1c70415
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1280441437.213:14): avc:  denied  { sys_tty_config } for  pid=1577 comm="sh" capability=26  scontext=system_u:system_r:varnishd_t:s0 tcontext=system_u:system_r:varnishd_t:s0 tclass=capability

node=(removed) type=SYSCALL msg=audit(1280441437.213:14): arch=40000003 syscall=54 success=yes exit=0 a0=0 a1=5401 a2=bfdf5494 a3=bfdf559c items=0 ppid=1576 pid=1577 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="sh" exe="/bin/bash" subj=system_u:system_r:varnishd_t:s0 key=(null)



Hash String generated from  catchall,sh,varnishd_t,varnishd_t,capability,sys_tty_config
audit2allow suggests:

#============= varnishd_t ==============
allow varnishd_t self:capability sys_tty_config;
Comment 1 Daniel Walsh 2010-07-30 14:56:28 EDT
Miroslav add

dontaudit varnishd_t self:capability sys_tty_config;
for f12/f13
Comment 2 Miroslav Grepl 2010-08-05 07:38:34 EDT
Fixed in selinux-policy-3.6.32-120.fc12
Comment 3 Fedora Update System 2010-08-05 09:18:36 EDT
selinux-policy-3.6.32-120.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-120.fc12
Comment 4 Fedora Update System 2010-08-05 19:22:43 EDT
selinux-policy-3.6.32-120.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-120.fc12
Comment 5 Fedora Update System 2010-08-19 21:38:58 EDT
selinux-policy-3.6.32-120.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.